HVAC commands
curl --request GET \
--url https://api.energy-hub.io/v1.0.0/hvacs/{hvacId}/commands \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.energy-hub.io/v1.0.0/hvacs/{hvacId}/commands"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.energy-hub.io/v1.0.0/hvacs/{hvacId}/commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"type": "SET_TEMPERATURE",
"userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"errorCode": "UNAUTHORIZED",
"id": "4c30ae83-182e-4c92-a108-b6ee12619de8",
"message": "Unauthorized"
}{
"errorCode": "HVAC_NOT_FOUND",
"id": "4c30ae83-182e-4c92-a108-b6ee12619de8",
"message": "[HVAC] HVAC not found"
}HVAC
HVAC commands
Returns pending commands for HVAC
GET
/
v1.0.0
/
hvacs
/
{hvacId}
/
commands
HVAC commands
Authorizations
API key used for authorization and authentication.
Path Parameters
HVAC ID
Response
Successful operation
The timestamp when command is created.
The ID of the command.
The state of the command.
PENDING- Command is waiting to be executed.FAILED- Execution of command has failed.EXECUTED- Command has been executed successfully.
Available options:
PENDING, EXECUTED, FAILED The name of the command type to execute.
Available options:
SET_TEMPERATURE, SET_MODE, SET_SCHEDULE, POWER_BOOST The ID of the user.
Example:
"896f9d5a-b618-48a2-98ae-957059bf1bc9"
The ID of the vehicle.

